#pragma once

#include "DefaultSpectatorScreenController.h"
#include "RendererInterface.h"


class FHeadMountedDisplayBase;

class FLynxSpectatorScreenController : public FDefaultSpectatorScreenController
{
public:
	FLynxSpectatorScreenController(FHeadMountedDisplayBase* InHMDDevice);

protected:
	void RenderSpectatorModeTexture(FRHICommandListImmediate& RHICmdList, FTexture2DRHIRef TargetTexture, FTexture2DRHIRef EyeTexture, FTexture2DRHIRef OtherTexture, FVector2D WindowSize) override;

	void CopyTexture_RenderThread(FRHICommandListImmediate& RHICmdList, FRHITexture2D* SrcTexture, FIntRect SrcRect, FRHITexture2D* DstTexture, FIntRect DstRect, bool bClearBlack, bool bNoAlpha, ERenderTargetActions RTAction) const;

private:
	FHeadMountedDisplayBase* mHMD;
	IRendererModule* RendererModule;

};